## libxslt 1.1.32

=== debian/changelog ===
libxslt (1.1.32-2ubuntu0.1) cosmic-security; urgency=medium

  * SECURITY UPDATE: Bypass of protection mechanism
    - debian/patches/CVE-2019-11068.patch: Fix security
      framework bypass checking for returns equal or less
      -1 in libxslt/documents.c, libxslt/imports.c,
      libxslt/transform.c,libxslt/xslt.c.
    - CVE-2019-11068

 -- Leonidas S. Barbosa <leo.barbosa@canonical.com>  Fri, 12 Apr 2019 13:44:12 -0300

libxslt (1.1.32-2) unstable; urgency=medium

  * Team upload.
  * Add missing Build-Depends on pkg-config.

 -- Mattia Rizzolo <mattia@debian.org>  Sat, 26 May 2018 23:12:37 +0200

libxslt (1.1.32-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 1.1.32.
  * d/patches:
    + Remove patches applied upstream.
    + Rebase the remaining patches.
  * Drop old debian/TODO file.
  * d/rules: include workaround that should make the package build on kfreebsd.
    Closes: #840096
  * d/control:
    + Bump Standards-Version to 4.1.4, no changes needed.
    + Move Vcs-* to salsa.debian.org.
  * d/libxslt1.1.symbols:
    + Add new symbols added in this release.
    + Remove symbols that were accidentally exported in previous releases.
  * Bump debhelper compat level to 11.
  * Drop the libxslt1-dbg package in favour of automatic dbgsym packages.

 -- Mattia Rizzolo <mattia@debian.org>  Sat, 26 May 2018 14:47:56 +0200
