=== debian/control ===
Source: libxslt
Section: text
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian XML/SGML Group <debian-xml-sgml-pkgs@lists.alioth.debian.org>
Uploaders:
 Aron Xu <aron@debian.org>,
 YunQiang Su <syq@debian.org>,
Build-Depends:
 debhelper (>= 11),
 dh-python,
 libgcrypt20-dev,
 libpython-all-dbg,
 libpython-all-dev (>= 2.6.6-3~),
 libxml2-dev (>= 2.6.27),
 perl:any,
 pkg-config,
 python-all-dev:any (>= 2.6.6-3~),
 rename,
Standards-Version: 4.1.4
Rules-Requires-Root: no
Homepage: http://xmlsoft.org/xslt/
Vcs-Browser: https://salsa.debian.org/xml-sgml-team/libxslt
Vcs-Git: https://salsa.debian.org/xml-sgml-team/libxslt.git

Package: libxslt1.1
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: XSLT 1.0 processing library - runtime library
 XSLT is an XML language for defining transformations of XML files from
 XML to some other arbitrary format, such as XML, HTML, plain text, etc.
 using standard XSLT stylesheets. libxslt is a C library which
 implements XSLT version 1.0.
 .
 This package contains the libxslt library used by applications for XSLT
 transformations.

Package: libxslt1-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Provides:
 libxslt-dev,
Depends:
 libxml2-dev (>= 2.6.26),
 libxslt1.1 (= ${binary:Version}),
 ${misc:Depends},
Description: XSLT 1.0 processing library - development kit
 XSLT is an XML language for defining transformations of XML files from
 XML to some other arbitrary format, such as XML, HTML, plain text, etc.
 using standard XSLT stylesheets. libxslt is a C library which
 implements XSLT version 1.0.
 .
 This package contains the development files for libxslt.

Package: xsltproc
Architecture: any
Multi-Arch: foreign
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: XSLT 1.0 command line processor
 XSLT is an XML language for defining transformations of XML files from
 XML to some other arbitrary format, such as XML, HTML, plain text, etc.
 using standard XSLT version 1.0 stylesheets.
 .
 This package contains a command line tool that facilitates XSLT
 transformations.

Package: python-libxslt1
Section: python
Architecture: any
Provides:
 ${python:Provides},
Depends:
 python-libxml2,
 ${misc:Depends},
 ${python:Depends},
 ${shlibs:Depends},
Description: Python bindings for libxslt1
 XSLT is an XML language for defining transformations of XML files from
 XML to some other arbitrary format, such as XML, HTML, plain text, etc.
 using standard XSLT stylesheets. libxslt is a C library which
 implements XSLT version 1.0.
 .
 This package contains Python bindings for libxslt, needed to use
 libxslt in Python programs.

Package: python-libxslt1-dbg
Section: debug
Architecture: any
Provides:
 ${python:Provides},
Depends:
 python-dbg,
 python-libxml2-dbg,
 python-libxslt1 (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Description: Python bindings for libxslt1 (debug extension)
 XSLT is an XML language for defining transformations of XML files from
 XML to some other arbitrary format, such as XML, HTML, plain text, etc.
 using standard XSLT stylesheets. libxslt is a C library which
 implements XSLT version 1.0.
 .
 This package contains Python bindings for libxslt, needed to use
 libxslt in Python programs for use with the Python debug interpreter.
