## libxslt 1.1.32.4

=== debian/changelog ===
libxslt (1.1.32.4-deepin1) unstable; urgency=medium

  * update the version number.

 -- dinghao <dinghao@uniontech.com>  Fri, 04 Nov 2022 13:21:58 +0800

libxslt (1.1.32.3-1+deepin) unstable; urgency=medium

  * fix CVE-2021-30560.

 -- dinghao <dinghao@uniontech.com>  Thu, 27 Oct 2022 17:33:31 +0800

libxslt (1.1.32.2-1+deepin) unstable; urgency=medium

  * Team upload.
  * Add missing Build-Depends on pkg-config.

 -- Mattia Rizzolo <mattia@debian.org>  Sat, 26 May 2018 23:12:37 +0200
