## libxslt 1.1.33

=== debian/changelog ===
libxslt (1.1.33-0ubuntu1) eoan; urgency=medium

  * New upstream version
  * debian/patches/0003-fix-typo.patch:
    - removed, fixed in the new version

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 27 Aug 2019 18:01:01 +0300

libxslt (1.1.32-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix security framework bypass (CVE-2019-11068) (Closes: #926895, #933743)
  * Fix uninitialized read of xsl:number token (CVE-2019-13117)
    (Closes: #931321, #933743)
  * Fix uninitialized read with UTF-8 grouping chars (CVE-2019-13118)
    (Closes: #931320, #933743)

 -- Salvatore Bonaccorso <carnil@debian.org>  Sun, 04 Aug 2019 08:14:05 +0200
