## libxslt 1.1.34

=== debian/changelog ===
libxslt (1.1.34-4+deb11u3) bullseye-security; urgency=high

  * Non-maintainer upload by the LTS Team.

  [ Jochen Sprickerhof ]
  * CVE-2023-40403: Fix information disclosure with improved memory handling
    of generated-id() (closes: #1108074).
  * CVE-2025-7424: Fix type confusion in xmlNode.psvi between stylesheet and
    source nodes (closes: #1109123).

  [ Guilhem Moulin ]
  * Fix backport of upstream change for issue #123 "generate-id() is
    non-deterministic".
  * d/patches: Drop unrelated upstream change ed11eaa9.
  * d/patches: Add DEP-3 headers for the patches added since 1.1.34-4+deb11u2.
  * Cherry-pick upstream recursion tests in EXSLT dynamic functions in
    preparation for the upcoming CVE-2025-9714/libxml2 fix.
  * Add d/salsa-ci.yml for Salsa CI.

 -- Guilhem Moulin <guilhem@debian.org>  Wed, 24 Sep 2025 13:28:13 +0200

libxslt (1.1.34-4+deb11u2) bullseye-security; urgency=medium

  * Non-maintainer upload by the LTS Team.
  * CVE-2024-55549: Use-after-free related to excluded namespaces
  * CVE-2025-24855: Use-after-free of XPath context node

 -- Adrian Bunk <bunk@debian.org>  Mon, 24 Mar 2025 10:15:36 +0200

libxslt (1.1.34-4+deb11u1) bullseye-security; urgency=high

  * Non-maintainer upload by the Security Team.
  * Fix use-after-free in xsltApplyTemplates (CVE-2021-30560)

 -- Salvatore Bonaccorso <carnil@debian.org>  Mon, 22 Aug 2022 21:15:10 +0200

libxslt (1.1.34-4) unstable; urgency=medium

  * Team upload.
  * Add patch to make the xslt-config script compatible with multi-arch.
    Closes: #952768

 -- Mattia Rizzolo <mattia@debian.org>  Wed, 04 Mar 2020 14:02:32 +0100

libxslt (1.1.34-3) unstable; urgency=medium

  * Team upload.
  * Add a patch to fix FTBFS when built twice in a row.  Closes: #947914
    (Add build-dependency on docbook-xsl for this.)

 -- Mattia Rizzolo <mattia@debian.org>  Sat, 22 Feb 2020 15:28:46 +0100

libxslt (1.1.34-2) unstable; urgency=medium

  * Team upload.
  * Re-add the xslt-config script for now.
  * d/control: Bump Standards-Version to 4.5.0, no changes needed.
  * Upload to unstable.

 -- Mattia Rizzolo <mattia@debian.org>  Fri, 21 Feb 2020 14:24:17 +0100

libxslt (1.1.34-1) experimental; urgency=medium

  * Team upload.
  * New upstream version 1.1.34.
  * Refresh patches
  * d/libxslt1.1.symbols: Add new symbols.
  * d/control:
    + Bump debhelper compat level to 12.
    + Bump Standards-Version to 4.4.1, no changes needed.
  * Stop building and installing the static library.
  * Stop installing xslt-config, please use pkg-config.
  * Drop Python2 packages.  Closes: #936942
  * Make use of dh_missing --fail-missing:
    + Leave the docs files where the upstream build system put them, and just
      move them into the right package.  All the documentation was this way
      moved into an extra html/ directory.
    + Installs files in a way that lets dh_missing detect them as installed.
     + d/not-installed: list xslt-config.

 -- Mattia Rizzolo <mattia@debian.org>  Mon, 25 Nov 2019 19:22:08 +0100

libxslt (1.1.32-2.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix dangling pointer in xsltCopyText (CVE-2019-18197) (Closes: #942646)

 -- Salvatore Bonaccorso <carnil@debian.org>  Sat, 19 Oct 2019 21:21:23 +0200
