=== debian/watch ===
version=4
opts="pgpmode=auto" \
ftp://xmlsoft.org/libxslt/libxslt-([\d\.]+)\.tar\.gz
