=== debian/changelog ===
libxslt (1.1.35-1aatgv1) unstable; urgency=medium

  * Build for m-privacy
  * Add RSBAC settings
  * debian/rules:
    - export DEB_CFLAGS_MAINT_APPEND += -mtune=corei7 -flto=8 -ffat-lto-objects
    - export DEB_CXXFLAGS_MAINT_APPEND += -mtune=corei7 -flto=8 -ffat-lto-objects
    - export DEB_LDFLAGS_MAINT_APPEND += -flto=8 -ffat-lto-objects

 -- Amon Ott <ao@m-privacy.de>  Fri, 05 Aug 2022 12:39:44 +0200

libxslt (1.1.35-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 1.1.35.
  * Refresh patches.
  * Update Homepage and d/watch to point to the new GNOME-based home
  * d/*.doc-base: rename the document name, it shouldn't match the binary
    package name.
  * Install the new gtk-doc documentation.
  * Do not install the .cmake file that come with the new version.

 -- Mattia Rizzolo <mattia@debian.org>  Fri, 15 Jul 2022 15:29:07 +0200
