=== debian/control ===
--- 
+++ 
@@ -10,12 +10,12 @@
  docbook-xsl,
  libgcrypt20-dev,
  libxml2-dev (>= 2.6.27),
- perl:any,
+ perl,
  pkg-config,
  rename,
 Standards-Version: 4.5.0
 Rules-Requires-Root: no
-Homepage: http://xmlsoft.org/xslt/
+Homepage: https://gitlab.gnome.org/GNOME/libxslt/-/wikis/home
 Vcs-Browser: https://salsa.debian.org/xml-sgml-team/libxslt
 Vcs-Git: https://salsa.debian.org/xml-sgml-team/libxslt.git
