=== debian/rules ===
#!/usr/bin/make -f

# m-privacy
export DEB_CFLAGS_MAINT_APPEND += -mtune=corei7 -flto=8 -ffat-lto-objects
export DEB_CXXFLAGS_MAINT_APPEND += -mtune=corei7 -flto=8 -ffat-lto-objects
export DEB_LDFLAGS_MAINT_APPEND += -flto=8 -ffat-lto-objects

include /usr/share/dpkg/architecture.mk

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

CONFIGURE_FLAGS := --without-python --with-history --disable-static

TARGETS := main

override_dh_auto_configure:
	dh_auto_configure -- $(CONFIGURE_FLAGS)

override_dh_auto_clean:
	rm -rf builddir debian/tmp-dbg config.sub config.guess autogen.sh
	dh_auto_clean

override_dh_auto_test:
	:

override_dh_auto_install:
	dh_auto_install

	# https://lintian.debian.org/tags/non-empty-dependency_libs-in-la-file.html
	sed -i "/dependency_libs/ s/'.*'/''/" debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/*.la

	# Move arch-specific headers into /usr/include/<triplet>/libxslt
	mkdir -pv debian/tmp/usr/include/$(DEB_HOST_MULTIARCH)/libxslt
	mv -v debian/tmp/usr/include/libxslt/xsltconfig.h debian/tmp/usr/include/$(DEB_HOST_MULTIARCH)/libxslt

	find debian/ -name *.la -delete

override_dh_installdocs:
	dh_installdocs -a -A AUTHORS FEATURES NEWS README TODO

override_dh_installchangelogs:
	dh_installchangelogs -a ChangeLog

override_dh_compress:
	mp_rsbac
	dh_compress -a -Xexamples/

override_dh_makeshlibs:
	dh_makeshlibs -a -V 'libxslt1.1 (>= 1.1.26)' -- -c4

override_dh_missing:
	dh_missing --fail-missing

%:
	dh $@
