## libxslt 1.1.39

=== debian/changelog ===
libxslt (1.1.39-0exp1ubuntu4) plucky; urgency=medium

  * SECURITY UPDATE: use-after-free via nested XPath evaluations
    - debian/patches/CVE-2025-24855.patch: properly handle XPath context
      nodes and transformation context nodes in libxslt/numbers.c,
      libxslt/templates.c, libxslt/xsltutils.c.
    - CVE-2025-24855

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Wed, 19 Mar 2025 12:45:49 -0400

libxslt (1.1.39-0exp1ubuntu3) plucky; urgency=medium

  * SECURITY UPDATE: use-after-free via exclusion of result prefixes
    - debian/patches/CVE-2024-55549.patch: store string in stylesheet's
      dict to avoid use after free in libxslt/xslt.c.
    - CVE-2024-55549

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Tue, 18 Mar 2025 10:22:08 -0400

libxslt (1.1.39-0exp1ubuntu2) plucky; urgency=medium

  * No change rebuild against libxml 2.12.7+dfsg+really2.9.14-0.2build1
    (LP: #2089307).

 -- Vladimir Petko <vladimir.petko@canonical.com>  Tue, 03 Dec 2024 15:39:12 +1300

libxslt (1.1.39-0exp1ubuntu1) oracular; urgency=medium

  * debian: Backport patch to find libgcrypt again

 -- Alessandro Astone <alessandro.astone@canonical.com>  Wed, 21 Aug 2024 16:45:35 +0200

libxslt (1.1.39-0exp1build1) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 08:02:49 +0000

libxslt (1.1.39-0exp1) experimental; urgency=medium

  * New upstream version 1.1.39
  * Drop patch merged upstream, update other ones
  * Update std-ver to 3.6.2, no change required
  * Override source-is-missing lintian warning
  * d/rules: install README.md
  * d/rules: remove override_dh_installchangelogs
  * Update documentation files and doc-base registration
  * d/control: replace pkg-config with pkgconf

 -- Aron Xu <aron@debian.org>  Wed, 28 Feb 2024 15:26:07 +0800
