=== debian/rules ===
--- 
+++ 
@@ -1,9 +1,4 @@
 #!/usr/bin/make -f
-
-# m-privacy
-export DEB_CFLAGS_MAINT_APPEND += -mtune=corei7 -flto=8 -ffat-lto-objects
-export DEB_CXXFLAGS_MAINT_APPEND += -mtune=corei7 -flto=8 -ffat-lto-objects
-export DEB_LDFLAGS_MAINT_APPEND += -flto=8 -ffat-lto-objects
 
 include /usr/share/dpkg/architecture.mk
 
@@ -36,13 +31,9 @@
 	find debian/ -name *.la -delete
 
 override_dh_installdocs:
-	dh_installdocs -a -A AUTHORS FEATURES NEWS README TODO
-
-override_dh_installchangelogs:
-	dh_installchangelogs -a ChangeLog
+	dh_installdocs -a -A AUTHORS FEATURES NEWS README.md TODO
 
 override_dh_compress:
-	mp_rsbac
 	dh_compress -a -Xexamples/
 
 override_dh_makeshlibs:
