=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,7 @@
 
 export DEB_BUILD_MAINT_OPTIONS=hardening=+all
 
-CONFIGURE_FLAGS := --without-python --with-history --disable-static
+CONFIGURE_FLAGS := --without-python --with-history --disable-static --with-crypto
 
 TARGETS := main
